import { GridColDef } from '@mui/x-data-grid'
import FolderViewer from '../components/FolderViewer'

export default function Documents() {
    const organizationColumns: GridColDef[] = [
        { field: 'id', headerName: 'ID', type: "number", width: 90 },
        { field: 'id_1c', headerName: 'ID 1C', type: "string", width: 90 },
        { field: 'name', headerName: 'Наименование', type: "string", width: 90 },
        { field: 'full_name', headerName: 'Полное наименование', type: "string", width: 90 },
        { field: 'inn', headerName: 'ИНН', type: "string", width: 70 },
        { field: 'ogrn', headerName: 'ОГРН', width: 130 },
        { field: 'kpp', headerName: 'КПП', width: 130 },
        { field: 'okopf', headerName: 'ОКОПФ', width: 90 },
        { field: 'legal_address', headerName: 'Юридический адрес', width: 90 },
        { field: 'actual_address', headerName: 'Фактический адрес', width: 90 },
        { field: 'mail_address', headerName: 'Почтовый адрес', type: "string", width: 90 },
        { field: 'id_budget', headerName: 'Активен', type: "number", width: 90 },
        { field: 'fio_dir', headerName: 'Активен', type: "string", width: 90 },
        { field: 'phone', headerName: 'Телефон', type: "string", width: 90 },
        { field: 'email', headerName: 'Email', type: "string", width: 90 },
        { field: 'comment', headerName: 'Комментарий', type: "string", width: 90 },
        { field: 'id_bank', headerName: 'Банк', type: "string", width: 90 },
        { field: 'active', headerName: 'Активен', type: "boolean", width: 90 },
    ];

    const bankColumns: GridColDef[] = [
        { field: 'id', headerName: 'ID', type: "number", width: 90 },
        { field: 'id_1c', headerName: 'ID 1C', type: "string", width: 90 },
        { field: 'name', headerName: 'Наименование', type: "string", width: 90 },
        { field: 'bik', headerName: 'БИК', type: "string", width: 90 },
        { field: 'corschet', headerName: 'Кор. счет', type: "string", width: 70 },
        { field: 'activ', headerName: 'Активен', type: "boolean", width: 130 },
    ];

    return (
        <div>
            <FolderViewer />
        </div>
    )
}