import { AxiosRequestConfig } from "axios";
import { BASE_URL } from "../constants";
import axiosInstance from "../http/axiosInstance";

const config: AxiosRequestConfig = {
    baseURL: BASE_URL.auth,
    headers: {
        'Content-Type': 'application/x-www-form-urlencoded'
    }
}

export default class AuthService {
    static async login(data: any) {
        return await axiosInstance.post(`/auth/login`, data, config)
    }

    static async refreshToken(token: string) {
        return await axiosInstance.post(`/auth/refresh_token/${token}`, null, config)
    }

    static async getCurrentUser(token: string) {
        return await axiosInstance.get(`/auth/get_current_user/${token}`, config)
    }
}